American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
PayoffSingleStrike Class Reference

Payoff with one strike. More...

`#include <singlestrike.h>`

Inheritance diagram for PayoffSingleStrike:

List of all members.

## Public Member Functions
virtual Payoff * | clone () const =0
virtual Portfolio | operator() (const Spot &spot) const =0
| PayoffSingleStrike (const coefficient strike)
coefficient | strike () const

## Detailed Description

Payoff with one strike.

## Constructor & Destructor Documentation

PayoffSingleStrike::PayoffSingleStrike | ( | const coefficient | strike | ) | `[inline]`

## Member Function Documentation

virtual Payoff* Payoff::clone | ( |  | ) | const`[pure virtual, inherited]`

Clone constructor.

Implemented in PayoffBasket, PayoffBearSpread, PayoffBullSpread, PayoffButterfly, PayoffCallCashAsk, PayoffCallCashBid, PayoffCallCashUnderlying, PayoffCallPhysical, PayoffCallPhysicalAsk, PayoffCallPhysicalBid, PayoffCallPhysicalUnderlying, PayoffConstant, PayoffMulti, PayoffNeg, PayoffPutCashAsk, PayoffPutCashBid, PayoffPutCashUnderlying, PayoffPutPhysical, PayoffPutPhysicalAsk, PayoffPutPhysicalBid, and PayoffPutPhysicalUnderlying.

virtual Portfolio Payoff::operator() | ( | const Spot & | spot | ) | const`[pure virtual, inherited]`

Gives payoff of option under given spot price.

Implemented in PayoffBasket, PayoffBearSpread, PayoffBullSpread, PayoffButterfly, PayoffCallCashAsk, PayoffCallCashBid, PayoffCallCashUnderlying, PayoffCallPhysical, PayoffCallPhysicalAsk, PayoffCallPhysicalBid, PayoffCallPhysicalUnderlying, PayoffConstant, PayoffMulti, PayoffNeg, PayoffPutCashAsk, PayoffPutCashBid, PayoffPutCashUnderlying, PayoffPutPhysical, PayoffPutPhysicalAsk, PayoffPutPhysicalBid, and PayoffPutPhysicalUnderlying.

coefficient PayoffSingleStrike::strike | ( |  | ) | const`[inline]`

Strike.

The documentation for this class was generated from the following file:

- payoff/singlestrike.h

All Classes Namespaces Files Functions Variables Typedefs Defines